import { jsx } from "react/jsx-runtime";
import { FloppyDiskIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const FloppyDisk = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "FloppyDisk", ...props, children: /* @__PURE__ */ jsx(FloppyDiskIcon, { weight: variant }) });
  }
);
FloppyDisk.displayName = "FloppyDisk";
Object.assign(FloppyDisk, { isGdsIcon: true });
export {
  FloppyDisk
};
